## GMimeFilterWindows

GMimeFilterWindows — Determine if text is in a Microsoft Windows codepage

## Functions

GMimeFilter * | g_mime_filter_windows_new ()
gboolean | g_mime_filter_windows_is_windows_charset ()
const char * | g_mime_filter_windows_real_charset ()

## Types and Values

struct | GMimeFilterWindows

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterWindows

## Description

A GMimeFilter used for determining if text marked as iso-8859-## is actually encoded in one of the Windows-CP125# charsets.

## Functions

### g_mime_filter_windows_new ()

    GMimeFilter *
    g_mime_filter_windows_new (const char *claimed_charset);

Creates a new GMimeFilterWindows filter. When a stream of text has been filtered, it can be determined whether or not said text stream was in `claimed_charset` or the equivalent Windows-CP125# charset.

#### Parameters

claimed_charset | charset that a text stream claims to be |

#### Returns

a new windows filter.

### g_mime_filter_windows_is_windows_charset ()

    gboolean
    g_mime_filter_windows_is_windows_charset
                                   (GMimeFilterWindows *filter);

Determines whether or not a Windows-CP125# charset has been detected so far.

#### Parameters

filter | windows filter object |

#### Returns

`TRUE` if the filtered stream has been detected to contain Windows-CP125# characters or `FALSE` otherwise.

### g_mime_filter_windows_real_charset ()

    const char *
    g_mime_filter_windows_real_charset (GMimeFilterWindows *filter);

Figures out the real charset that the text is encoded in based on whether or not Windows-CP125# characters were found.

#### Parameters

filter | windows filter object |

#### Returns

a const string pointer to the claimed charset if filtered text stream was found not to contain any Windows-CP125# characters or the proper Windows-CP125# charset.

## Types and Values

### struct GMimeFilterWindows

    struct GMimeFilterWindows;

A filter for detecting whether or not a text stream claimed to be iso-8859-X is really that charset or if it is really a Windows-CP125x charset.

#### Members

## See Also

GMimeFilter